package com.ffii.fpsms.modules.logistic.entity

import com.ffii.core.support.AbstractRepository
import org.springframework.stereotype.Repository

@Repository
interface LogisticRepository : AbstractRepository<Logistic, Long> {
    fun findAllByDeletedFalseOrderByIdAsc(): List<Logistic>
    fun findByIdAndDeletedFalse(id: Long): Logistic?
    fun findByCarPlateAndDeletedFalse(carPlate: String): Logistic?
}

